# InquiryPriceCreateDisks

## 1. 接口描述

本接口(InquiryPriceCreateDisks)用于创建一块或多块云硬盘的询价。

{% hint style="info" %}
**注意事项**

* 本接口只能为数据类型的云硬盘询价
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称         | 必选 | 类型      | 描述                                                                                                                                               |
| ------------ | -- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| zoneId       | 是  | String  | 可用区ID。                                                                                                                                           |
| diskSize     | 是  | Integer | <p>云硬盘大小。</p><p>单位：GiB。</p><p>可选值范围：\[20, 20000]</p>                                                                                             |
| diskAmount   | 否  | Integer | <p>云硬盘数量。</p><p>可选值范围：\[1, 50]</p><p>默认值：1</p>                                                                                                   |
| diskCategory | 否  | String  | <p>云硬盘种类。</p><p>Basic NVMe SSD: 经济型 NVMe SSD。</p><p>Standard NVMe SSD: 标准型 NVMe SSD。</p><p>默认为Standard NVMe SSD。</p><p>默认值：Standard NVMe SSD</p> |

## 3. 响应结果

| 参数名称          | 类型                                                                    | 描述                                                       |
| ------------- | --------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId     | String                                                                | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| dataDiskPrice | [PriceItem](/api-reference/cn/compute/zec/datastructure.md#priceitem) | 云硬盘的价格。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 创建1个2000GiB的云硬盘询价。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceCreateDisks
<Common Request Params>

Request：
{
  "zoneId": "asia-east-1a",
  "diskSize": 2000
}

Response：
{
  "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183",
  "response": {
    "dataDiskPrice": {
      "discount": 100.0,
      "discountPrice": 2000.0,
      "originalPrice": 2000.0,
      "unitPrice": null,
      "discountUnitPrice": null,
      "chargeUnit": null,
      "stepPrices": null
    },
    "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                     | 说明                 |
| ------- | --------------------------------------- | ------------------ |
| 404     | INVALID\_PRODUCT\_NOT\_FOUND            | 产品未售卖或已售罄。         |
| 404     | INVALID\_ZONE\_NOT\_FOUND               | 可用区不存在。            |
| 400     | INVALID\_DISK\_CATEGORY\_ZONE\_NO\_SELL | 指定的云硬盘种类在指定的区域未开售。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk/inquirypricecreatedisks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
